Subject: Re: bug#78843: Various vtable bug fixes and enhancements

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jun 2025 19:05:31 +0300

> From: Stéphane Marks <[email-masked]>
> Date: Mon, 23 Jun 2025 10:49:07 -0400
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked], [email-masked], [email-masked]
> 
>  > +@item :object-equal
>  > +This function tests for the equality of two table objects.  It defaults
>  > +to @code{eq}.
>  > +
>  > +@defun object-equal object1 object2
>  > +Return non-nil if @var{object1} and @var{object2} are equal, and non-nil
>  > +otherwise.
>  > +@end defun
> 
>  I don't understand the purpose of this @defun here.  What did you
>  intend to say by placing it here?
> 
> I was following Lars's original format for other "callback" functions.  If I change this one, I should change them
> all for consistency.  What is your preference?

Let's leave these alone for now.

>  > +@findex vtable-goto-next-table
>  > +@item <forward-paragraph>
> 
>  What's "<forward-paragraph>"?  Are there keyboards with a key that has
>  such a label?
> 
> This is remapped in the code.  Is there a way you prefer to refer to remapped keys?

We usually simply show the default bindings, M-} etc.

> Once we get feedback from users, I will split the patch into several digestible smaller patches, but probably
> not too parsimoniously.

Thanks!